View Issue Details

IDProjectCategoryView StatusLast Update
0000166file[All Projects] Generalpublic2020-06-07 18:13
ReporterpolluksAssigned Tochristos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version5.38 
Target VersionFixed in Version5.39 
Summary0000166: Magic for PPU
Description--- pascal.bak 2020-05-24 00:13:16 +0200
+++ pascal 2020-05-24 01:09:58 +0200
@@ -8,3 +8,7 @@
 #!:mime text/x-pascal
 #0 regex \^record Pascal source text
 #!:mime text/x-pascal
+
+# Free Pascal
+0 string PPU Pascal unit
+>3 string x \b, version %s
TagsNo tags attached.

Activities

polluks

2020-05-23 23:37

reporter  

pascal (443 bytes)
#------------------------------------------------------------------------------
# $File: pascal,v 1.1 2011/12/08 12:12:46 rrt Exp $
# pascal:  file(1) magic for Pascal source
#
0	search/8192	(input,		Pascal source text
!:mime	text/x-pascal
#0	regex		\^program	Pascal source text
#!:mime	text/x-pascal
#0	regex           	\^record		Pascal source text
#!:mime	text/x-pascal

# Free Pascal
0	string		PPU		Pascal unit
>3	string		x		\b, version %s
pascal (443 bytes)

christos

2020-06-07 18:13

manager   ~0003423

Added, thanks!

Issue History

Date Modified Username Field Change
2020-05-23 23:37 polluks New Issue
2020-05-23 23:37 polluks File Added: pascal
2020-06-07 18:13 christos Assigned To => christos
2020-06-07 18:13 christos Status new => assigned
2020-06-07 18:13 christos Status assigned => resolved
2020-06-07 18:13 christos Resolution open => fixed
2020-06-07 18:13 christos Fixed in Version => 5.39
2020-06-07 18:13 christos Note Added: 0003423